FiskilFiskilFiskil DocsFiskil Docs
Log InSign Up
GuidesAPI ReferenceChangelog

Mobile menu

HomeFiskilFiskil
Log InSign Up
Introduction

Getting Started

AuthenticationErrorsPagination

CORE RESOURCES

Linking Accounts

BANKING API

ENERGY API

IDENTITY

List energy account balances

Returns list of energy account balances for accounts authorised by the end user

AI Actions
GET
/v1/energy/balances

Returns list of energy account balances for accounts authorised by the end user

Query Parameters

end_user_idstringrequired

A unique identifier for the End User object.

page[before]string

When the page[before] is specified, backwards pagination is achieved

page[after]string

When the page[after] is specified, forwards pagination is achieved

page[size]integer

When the page[size] is specified, no more than page[size] resources will be included in the response's data field. This parameter is set to a sensible default, which varies depending on the endpoint. It is capped at 1000.

Response Body

application/json

application/json

application/json

curl -X GET "https://api.fiskil.com/v1/energy/balances?end_user_id=string"
{
  "balances": [
    {
      "account_id": "448b17f8-1937-4f41-8664-da1dfae7ec16",
      "arrangement_id": "arr678",
      "balance": "242.89",
      "fiskil_id": "energy_balance_abcdef",
      "institution_id": "140"
    }
  ],
  "links": {
    "next": "https://api.fiskil.com/v1/accounts?page[after]=x",
    "prev": "https://api.fiskil.com/v1/accounts?page[before]=x"
  }
}
{
  "id": "string",
  "message": "string",
  "name": "string"
}
{
  "id": "string",
  "message": "string",
  "name": "string"
}

Was this page helpful?

List energy accountsGet billing transactions